<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Admin\Controller\Factory;

use Admin\Controller\DeliveryController;
use Admin\Data\Config;
use Admin\Service\DeliveryContentManager;
use Admin\Service\DeliveryIndividuationManager;
use Admin\Service\DeliveryManager;
use Interop\Container\ContainerInterface;
use Laminas\Mvc\I18n\Translator;
use Laminas\ServiceManager\Factory\FactoryInterface;

class DeliveryControllerFactory implements FactoryInterface
{
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        $translator         = $container->get(Translator::class);
        $entityManager      = $container->get(Config::SHOP_DATABASE_MANAGER_WRITE);
        $deliveryManager    = $container->get(DeliveryManager::class);
        $deliveryIndividuationManager = $container->get(DeliveryIndividuationManager::class);
        $deliveryContentManager = $container->get(DeliveryContentManager::class);

        return new DeliveryController($translator, $entityManager, $deliveryManager, $deliveryIndividuationManager, $deliveryContentManager);
    }
}