<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Admin\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * 地区内容表
 * @ORM\Entity(repositoryClass="Admin\Repository\RegionContentRepository")
 * @ORM\Table(name="dbcart_region_content")
 */
class RegionContent extends BaseEntity
{
    /**
     * 自增id
     * @ORM\Id()
     * @ORM\Column(name="content_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $contentId;

    /**
     * 地区id
     * @ORM\Column(name="region_id", type="integer", length=11)
     */
    private $regionId;

    /**
     * 地区名称
     * @ORM\Column(name="region_name", type="string", length=50)
     */
    private $regionName;

    /**
     * 语言编码
     * @ORM\Column(name="language_code", type="string", length=10)
     */
    private $languageCode;

    /**
     * @return mixed
     */
    public function getContentId()
    {
        return $this->contentId;
    }

    /**
     * @param mixed $contentId
     */
    public function setContentId($contentId): void
    {
        $this->contentId = $contentId;
    }

    /**
     * @return mixed
     */
    public function getRegionId()
    {
        return $this->regionId;
    }

    /**
     * @param mixed $regionId
     */
    public function setRegionId($regionId): void
    {
        $this->regionId = $regionId;
    }

    /**
     * @return mixed
     */
    public function getRegionName()
    {
        return $this->regionName;
    }

    /**
     * @param mixed $regionName
     */
    public function setRegionName($regionName): void
    {
        $this->regionName = $regionName;
    }

    /**
     * @return mixed
     */
    public function getLanguageCode()
    {
        return $this->languageCode;
    }

    /**
     * @param mixed $languageCode
     */
    public function setLanguageCode($languageCode): void
    {
        $this->languageCode = $languageCode;
    }
}