<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Admin\Repository;

use Admin\Entity\Currency;
use Admin\Entity\CurrencyContent;
use Doctrine\ORM\EntityRepository;
use Doctrine\ORM\Query\Expr\Join;

class CurrencyRepository extends EntityRepository
{
    /**
     * 货币列表
     * @return float|int|mixed|string
     */
    public function findCurrencyList()
    {
        $query = $this->getEntityManager()->createQueryBuilder();
        $query->select('c', 'o.currencyName')
            ->from(Currency::class, 'c')
            ->leftJoin(CurrencyContent::class, 'o', Join::WITH, 'c.currencyId = o.currencyId')
            ->where('o.languageCode = :languageCode')->setParameter('languageCode', SHOP_FONT_LANGUAGE)
            ->orderBy('c.currencyId', 'ASC');

        return $query->getQuery()->getResult();
    }
}