<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Extend;

use Extend\Controller\IndexController;
use Extend\Controller\NavigationController;
use Extend\Controller\OnlineServiceController;

return [
    'Extend' => [
        'name' => '扩展',
        'controllers' => [
            IndexController::class => [
                'name' => '扩展插件',
                'action' => ['index', 'pluginList'],
                'actionNames' => [
                    'index'     => '已安装插件列表',
                    'pluginList'=> '可安装插件列表'
                ]
            ],

            NavigationController::class => [
                'name' => '导航设置',
                'action' => ['index', 'add', 'edit', 'delete'],
                'actionNames' => [
                    'index' => '导航列表',
                    'add'   => '添加导航',
                    'edit'  => '编辑导航',
                    'delete'=> '删除导航'
                ]
            ],
            OnlineServiceController::class => [
                'name' => '在线客服',
                'action' => ['index'],
                'actionNames' => [
                    'index' => '客服设置'
                ]
            ]
        ]
    ]
];