<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace User\Entity;

use Admin\Entity\BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 积分规则多语言内容
 * @ORM\Entity(repositoryClass="User\Repository\IntegralRuleContentRepository")
 * @ORM\Table(name="dbcart_integral_rule_content")
 */
class IntegralRuleContent extends BaseEntity
{
    /**
     * 自增id
     * @ORM\Id()
     * @ORM\Column(name="content_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $contentId;

    /**
     * 规则id
     * @ORM\Column(name="integral_rule_id", type="integer", length=11)
     */
    private $integralRuleId;

    /**
     * 积分规则名称
     * @ORM\Column(name="integral_rule_title", type="string", length=200)
     */
    private $integralRuleTitle;

    /**
     * 积分规则描述
     * @ORM\Column(name="integral_rule_info", type="string", length=500)
     */
    private $integralRuleInfo;

    /**
     * 语言编码
     * @ORM\Column(name="language_code", type="string", length=10)
     */
    private $languageCode;

    /**
     * @return mixed
     */
    public function getContentId()
    {
        return $this->contentId;
    }

    /**
     * @param mixed $contentId
     */
    public function setContentId($contentId): void
    {
        $this->contentId = $contentId;
    }

    /**
     * @return mixed
     */
    public function getIntegralRuleId()
    {
        return $this->integralRuleId;
    }

    /**
     * @param mixed $integralRuleId
     */
    public function setIntegralRuleId($integralRuleId): void
    {
        $this->integralRuleId = $integralRuleId;
    }

    /**
     * @return mixed
     */
    public function getIntegralRuleTitle()
    {
        return $this->integralRuleTitle;
    }

    /**
     * @param mixed $integralRuleTitle
     */
    public function setIntegralRuleTitle($integralRuleTitle): void
    {
        $this->integralRuleTitle = $integralRuleTitle;
    }

    /**
     * @return mixed
     */
    public function getIntegralRuleInfo()
    {
        return $this->integralRuleInfo;
    }

    /**
     * @param mixed $integralRuleInfo
     */
    public function setIntegralRuleInfo($integralRuleInfo): void
    {
        $this->integralRuleInfo = $integralRuleInfo;
    }

    /**
     * @return mixed
     */
    public function getLanguageCode()
    {
        return $this->languageCode;
    }

    /**
     * @param mixed $languageCode
     */
    public function setLanguageCode($languageCode): void
    {
        $this->languageCode = $languageCode;
    }
}